﻿using AbstractShopDataModels.Enums;

namespace AbstractShopDataModels
{
    //интерфейс, отвечающий за чек
    internal interface IOrderModel : IId
    {
        //id продукта
        int ProductId { get; }

        //кол-во продуктов
        int Count { get; }

        //суммарная стоимость продуктов
        double Sum { get; }

        //статус заказа
        OrderStatus Status { get; }

        //дата создания заказа
        DateTime DateCreate { get; }

        //дата завершения заказа (не обязательна к указанию сразу)
        DateTime? DateImplement { get; }
    }
}
